# Blog 立项

## 项目初衷
大概有一年多没有维护自己的博客了，所以很荣幸地在这段时间换了数据中心后，我的博客数据又一次丢光光了。这次我决定搞一个简单的博客，文章这块就不用线上的后端程序了，抛弃数据库，项目就简单一些了，再配合我最近在造的 CI/CD 程序 Fennec，看看搭配起来是否给力。选择这个时间再一次地造博客，一来为 Fennec 做一些测试，二来也能继续我的瞎逼逼之旅。

## 项目构想
这个项目目前打算分为两个阶段。第一阶段的目标是开发一个静态站点生成器，通过读取本地目录来生成对应的文章页面和分页面；第二阶段，添加远程文章获取能力，暂定添加 git 仓库或 Gitea 作为远程源。

## 零期设计
利用 vscode + Gitea 编写和存储文章，图片等资源也存储在同一个仓库中。方便调用。不上线。

## 一期设计
开发静态站点生成器，选择 Node 生态构建。构建目标是生成一个纯静态站点的文件。只包括文章内容，不独立提供评论等服务。

### 技术选型
- (`markdown-it`)[https://www.npmjs.com/package/markdown-it]，用于将 Markdown 转为 html。

## 二期设计
改造为一个具备服务端渲染的web服务。将文章和评论等内容一并渲染完毕后返回给客户端。
- 提供 webhook，用于实时更新文章 html 缓存
- UA 请求时，调用评论服务获取文章评论，并将评论和文章内容合并到页面中